# Reposado metadata

This document describes the metadata files generated by Reposado.

Reposado's metadata files are stored in the directory you specify in Reposado's preferences as the UpdatesMetadataDir.

Currently, the following files are generated and stored in this directory:

- CatalogBranches.plist

	This plist has an entry for each catalog branch you've defined. The name of each branch is a key, and each branch is a list of strings. Each string is a ProductID. Example:

		<key>release</key>
		<array>
			<string>zzzz061-9636</string>
			<string>zzzz041-0306</string>
		</array>
		<key>testing</key>
		<array>
			<string>zzzz061-9636</string>
			<string>zzzz041-0306</string>
		</array>
	

- DownloadStatus.plist

	As each product is successfully downloaded, its ProductID is added to this list. Items not in this list are excluded from the local catalogs.
	

- ETags.plist

	ETags for each item downloaded from Apple's servers are stored here. Reposado uses these to only download changed items from Apple's servers.
	

- ProductInfo.plist

	This is a cache of information for every product seen in any catalog downloaded from Apple's servers. This info is used when listing available products and when offering deprecated products that have been removed from Apple catalogs.
	